Package org.silverpeas.components.gallery.web

## Class AlbumEntity

- java.lang.Object
- - org.silverpeas.components.gallery.web.AlbumEntity

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

      public class AlbumEntity
      extends Object
      implements org.silverpeas.core.web.rs.WebEntity

  Author:
    Yohann Chastagnier
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AlbumEntity()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMedia​(AbstractMediaEntity<?> mediaEntity)` | Adding a media in the album.
    `static AlbumEntity` | `createFrom​(AlbumDetail album, String language)` | Creates a new album entity from the specified album.
    `protected String` | `getDescription()` |
    `protected String` | `getId()` |
    `protected Map<String,​AbstractMediaEntity<?>>` | `getMediaList()` |
    `protected URI` | `getParentURI()` |
    `protected String` | `getTitle()` |
    `URI` | `getURI()` |
    `protected void` | `setDescription​(String description)` |
    `protected void` | `setId​(String id)` |
    `protected void` | `setTitle​(String title)` |
    `AlbumEntity` | `withParentURI​(URI parentURI)` | Sets a parentURI to this entity.
    `AlbumEntity` | `withURI​(URI uri)` | Sets a URI to this entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlbumEntity

          protected AlbumEntity()

  - ### Method Detail

    - #### createFrom

          public static AlbumEntity createFrom​(AlbumDetail album,
                                               String language)

      Creates a new album entity from the specified album.
      Parameters:
        `album` - the album from which the entity is constructed.
        `language` - the language in which it is created
      Returns:
        the entity representing the specified album.

    - #### withURI

          public AlbumEntity withURI​(URI uri)

      Sets a URI to this entity. With this URI, it can then be accessed through the Web.
      Parameters:
        `uri` - the web entity URI.
      Returns:
        itself.

    - #### withParentURI

          public AlbumEntity withParentURI​(URI parentURI)

      Sets a parentURI to this entity.
      Parameters:
        `parentURI` - the parent web entity URI.
      Returns:
        itself.

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

    - #### getParentURI

          protected URI getParentURI()

    - #### setId

          protected void setId​(String id)

    - #### getId

          protected String getId()

    - #### setTitle

          protected void setTitle​(String title)

    - #### getTitle

          protected String getTitle()

    - #### setDescription

          protected void setDescription​(String description)

    - #### getDescription

          protected String getDescription()

    - #### getMediaList

          protected Map<String,​AbstractMediaEntity<?>> getMediaList()

    - #### addMedia

          public void addMedia​(AbstractMediaEntity<?> mediaEntity)

      Adding a media in the album.
      Parameters:
        `mediaEntity` - the media to add